<div *ngIf="!search">
    <p-panel>
        <p-header>{{'mpmApp.salesUnitRequirement.home.checkUnit' | translate}}</p-header>
        <form name="editForm" role="form" novalidate #editForm="ngForm">
            <div class="row">
                <div class="col-md-12">
                        <div class="col-md-12">
                                <label class="form-control-label" for="field_market_name">Product</label>
                            </div>
                            <div class="form-control">
                                <p-dropdown *ngIf="!fetchMotor" 
                                    name="field_product" 
                                    id="field_product"
                                    [options]="motorsForSelect" 
                                    [(ngModel)]="salesBooking.idProduct" 
                                    [style]="{'width':'100%'}" 
                                    [disabled]="isDisableSelectMotor(salesUnitRequirement)"
                                    (onChange)="getColorByIdProduct(salesBooking.idProduct)" [filter]="true" filterBy="label">
                                </p-dropdown>
                                <jhi-fetching-data 
                                    *ngIf="fetchMotor"
                                ></jhi-fetching-data>
                            </div>
                    <!-- <div class="form-group">
                        <label class="form-control-label" for="field_market_name">Product</label>
                        <select class="form-control" 
                            id="field_market_name" 
                            name="marketname" 
                            [(ngModel)]="salesBooking.idProduct" 
                            (change)="getColorByIdProduct(salesBooking.idProduct)" required>
                            <option [ngValue]="null">Please Select</option>
                            <option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors; trackBy: trackMotorById">{{motorOption.idProduct}} - {{motorOption.description}}</option>
                        </select>
                    </div> -->
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_tahunProduksi">Tahun Produksi</label>
                        <select class="form-control" id="field_yearassembly" name="yearassembly" [(ngModel)]="salesBooking.yearAssembly" required>
                            <option [ngValue]="null">Please Select</option>
                            <option [ngValue]="year" *ngFor="let year of years">{{year}}</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label class="form-control-label" for="field_feature">{{'mpmApp.salesUnitRequirement.common.color' | translate}}</label>
                        <select class="form-control" id="field_color" name="color" [(ngModel)]="salesBooking.idFeature" required>
                            <option [ngValue]="null">Please Select</option>
                            <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.refKey}} - {{featureOption.description}}</option>
                        </select>
                        <small>Pilih motor untuk menampilkan data color</small>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <label class="form-control-label" for="field_note">Note</label>
                    <textarea class="form-control" name="note" id="note" [(ngModel)]="salesBooking.note" rows="3" maxlength="300"></textarea>
                </div>
            </div>
            <br>
            <div class="row">
                <div class="col-md-12">
                    <button
                        [disabled]="editForm.form.invalid || isSave"
                        class="btn btn-primary btn-lg btn-block"
                        (click)="checkAvailability('new');"
                    ><i class="fa fa-paper-plane-o" aria-hidden="true"></i> Check</button>
                </div>
            </div>
        </form>
    </p-panel>
</div>

<div *ngIf="search">
    <p-panel>
        <p-header>Hasil Check Availability</p-header>
        <table cellpadding="5" cellspacing="5">
        <tr>
            <td>Nama Kendaraan</td>
            <td>:</td>
            <td>{{selectedMotor?.name}}</td>
        </tr>
        <tr>
            <td>Warna</td>
            <td>:</td>
            <td>{{selectedFeature?.description}}</td>
        </tr>
        <tr>
            <td>Tahun</td>
            <td>:</td>
            <td>{{salesBooking.yearAssembly}}</td>
        </tr>
        <tr>
            <td>Status</td>
            <td>:</td>
            <td style="font-weight: 600;">{{statusCheckAvailability}}</td>
        </tr>
        </table>
        <div class="row" *ngIf="isAvailable">
            <div class="col-md-12">
                <button *ngIf="!checkIsDifferentUnit()" (click)="bookNow();" class="btn btn-primary btn-lg btn-block">
                    <i class="fa fa-paper-plane-o"></i> Booking
                </button>
                <br>
                <button *ngIf="checkIsDifferentUnit()" (click)="changeUnit()" class="btn btn-primary btn-lg btn-block">
                    <i class="fa fa-paper-plane-o"></i> Setuju Ganti Unit
                </button>
            </div>
        </div>
        <div *ngIf="!isAvailable">
            <div class="row">
                <div class="col-md-12">
                    <div>
                        <button (click)="btnCheckUnit();" class="btn btn-primary btn-lg btn-block">
                            <i class="fa fa-paper-plane-o"></i> Check Unit Lain
                        </button>
                    </div>
                    <br>
                    <div *ngIf="salesUnitRequirement.unitIndent">
                        <button (click)="processIndent();" class="btn btn-primary btn-lg btn-block">
                            <i class="fa fa-paper-plane-o"></i> Indent Process
                        </button>
                    </div>
                    <br>
                    <div *ngIf="!salesUnitRequirement.unitIndent">
                        <button (click)="backOrder();" class="btn btn-primary btn-lg btn-block">
                            <i class="fa fa-paper-plane-o"></i> Back Order
                        </button>
                    </div>
                </div>
            </div>
            <br> 
            <hr>
            <br>
            <form name="editFormUnitMessage" role="form" novalidate #editFormUnitMessage="ngForm">
                <div class="row">
                    <div class="col-md-12">
                        <div style="font-weight: 600;font-size:18px;">NOTIFIKASI KORSAL</div>
                        <div>Kirim notifikasi ke korsal untuk melakukan pengecekan di cabang lain</div>
                        <div>
                            <div class="form-group">
                                <label for="notifikasi_korsal">Catatan</label>
                                <textarea class="form-control"
                                [(ngModel)]="unitDocumentMessage.content" 
                                name="notifikasi_korsal"
                                required
                                id="notifikasi_korsal" rows="3"></textarea>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <button (click)="cancelSUR();" class="btn btn-primary btn-lg btn-block">
                            <i class="fa fa-ban" aria-hidden="true"></i> Cancel
                        </button>
                    </div>
                    <div class="col-md-6">
                        <button 
                            [disabled]="editFormUnitMessage.form.invalid"
                            (click)="sendUnitMessage();" 
                            class="btn btn-primary btn-lg btn-block">
                            <i class="fa fa-paper-plane-o"></i> Submit
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </p-panel>
</div>

<p-confirmDialog></p-confirmDialog>
